/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kaki.client.gui;

import java.awt.BorderLayout;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.eof.EOConvention;
import org.cocktail.application.client.eof.EOOrgan;
import org.cocktail.application.client.eof.EOUtilisateur;
import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.kaki.client.metier.EOCodeAnalytique;
import org.cocktail.kaki.client.metier.EODepenseBudget;
import org.cocktail.kaki.client.metier.EODepenseCtrlAnalytique;
import org.cocktail.kaki.client.metier.EODepenseCtrlConvention;
import org.cocktail.kaki.client.metier.EODepenseCtrlPlanco;
import org.cocktail.kaki.client.metier.EODepensePapier;
import org.cocktail.kaki.client.metier.EOEngage;
import org.cocktail.kaki.client.metier.EOIndividu;
import org.cocktail.kaki.client.metier.EOMandat;
import org.cocktail.kaki.client.metier.EOPafReversementsManuels;
import org.cocktail.kaki.common.KakiConstantes;
import org.cocktail.kaki.common.KakiIcones;

import com.webobjects.eointerface.EODisplayGroup;
import com.webobjects.foundation.NSArray;

/**
 *
 * @author  cpinsard
 */
public class OrvsManuelsConsultationView extends javax.swing.JPanel {

	private static final long serialVersionUID = 4324011161081185269L;
	protected EODisplayGroup eodDepense, eodEngage, eodMandat;
	protected ZEOTable myEOTableDepense, myEOTableEngage, myEOTableMandat;
	protected ZEOTableModel myTableModelDepense, myTableModelEngage, myTableModelMandat;
	protected TableSorter myTableSorterDepense, myTableSorterEngage, myTableSorterMandat;

    /** Creates new form TemplateJPanel */
    public OrvsManuelsConsultationView(EODisplayGroup dgDepenses, EODisplayGroup dgMandat) {

        eodDepense = dgDepenses;
        eodMandat = dgMandat;
                
        initComponents();
        initGui();
        
    }

	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jTextField2 = new javax.swing.JTextField();
        jTextField1 = new javax.swing.JTextField();
        viewTableDepenses = new javax.swing.JPanel();
        btnSupprimer = new javax.swing.JButton();
        jPanel1 = new javax.swing.JPanel();
        tfFiltreEngagement = new javax.swing.JTextField();
        buttonDelLbud = new javax.swing.JButton();
        buttonGetLbud = new javax.swing.JButton();
        tfLigneBudgetaire = new javax.swing.JTextField();
        jLabel8 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        tfFiltreCompte = new javax.swing.JTextField();
        tfFiltreBordereau = new javax.swing.JTextField();
        jLabel7 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        buttonFind = new javax.swing.JButton();
        jLabel9 = new javax.swing.JLabel();
        tfFiltreMandat = new javax.swing.JTextField();
        listeExcercices = new javax.swing.JComboBox();
        jLabel12 = new javax.swing.JLabel();
        tfFiltreAgent = new javax.swing.JTextField();
        btnImprimer = new javax.swing.JButton();
        viewTableMandat = new javax.swing.JPanel();

        jTextField2.setBackground(new java.awt.Color(204, 204, 255));
        jTextField2.setEditable(false);
        jTextField2.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jTextField2.setText("Filtres de recherche");
        jTextField2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField2ActionPerformed(evt);
            }
        });

        jTextField1.setBackground(new java.awt.Color(204, 204, 255));
        jTextField1.setEditable(false);
        jTextField1.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jTextField1.setText("ORVs EFFECTUES");
        jTextField1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField1ActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout viewTableDepensesLayout = new org.jdesktop.layout.GroupLayout(viewTableDepenses);
        viewTableDepenses.setLayout(viewTableDepensesLayout);
        viewTableDepensesLayout.setHorizontalGroup(
            viewTableDepensesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 761, Short.MAX_VALUE)
        );
        viewTableDepensesLayout.setVerticalGroup(
            viewTableDepensesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 282, Short.MAX_VALUE)
        );

        btnSupprimer.setToolTipText("Reverser une somme sur la dépense sélectionnée");

        tfFiltreEngagement.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        buttonDelLbud.setToolTipText("Recherche des pièces mandats");

        buttonGetLbud.setToolTipText("Recherche des pièces mandats");

        tfLigneBudgetaire.setEditable(false);
        tfLigneBudgetaire.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfLigneBudgetaire.setEnabled(false);
        tfLigneBudgetaire.setFocusable(false);

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("Ligne Budgétaire :");

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel4.setText("Bordereau :");

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel5.setText("Mandat :");

        tfFiltreCompte.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        tfFiltreBordereau.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel7.setText("No Engagement :");

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Compte :");

        buttonFind.setText("Lancer la recherche");
        buttonFind.setToolTipText("Recherche des agents suivant les critères de sélection");

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("Agent :");

        tfFiltreMandat.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        listeExcercices.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        listeExcercices.setToolTipText("Budget");
        listeExcercices.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                listeExcercicesActionPerformed(evt);
            }
        });

        jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel12.setText("Exercice :");

        tfFiltreAgent.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel8, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(jLabel4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(jLabel12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 92, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(listeExcercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 87, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 63, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(tfFiltreBordereau, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 87, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(tfFiltreCompte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 73, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(jLabel7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 91, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(tfFiltreEngagement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 49, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(tfFiltreMandat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 73, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .add(jLabel9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 63, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(tfFiltreAgent, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 48, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 102, Short.MAX_VALUE)
                        .add(buttonFind, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 169, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18))
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(tfLigneBudgetaire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 221, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(buttonGetLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(buttonDelLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addContainerGap(409, Short.MAX_VALUE))))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel12)
                    .add(listeExcercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel7)
                    .add(tfFiltreEngagement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel3)
                    .add(tfFiltreCompte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(buttonFind))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel4)
                    .add(tfFiltreBordereau, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel5)
                    .add(tfFiltreMandat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfFiltreAgent, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel9))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel8)
                    .add(tfLigneBudgetaire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(buttonGetLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(buttonDelLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        btnImprimer.setToolTipText("Reverser une somme sur la dépense sélectionnée");

        org.jdesktop.layout.GroupLayout viewTableMandatLayout = new org.jdesktop.layout.GroupLayout(viewTableMandat);
        viewTableMandat.setLayout(viewTableMandatLayout);
        viewTableMandatLayout.setHorizontalGroup(
            viewTableMandatLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 761, Short.MAX_VALUE)
        );
        viewTableMandatLayout.setVerticalGroup(
            viewTableMandatLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 91, Short.MAX_VALUE)
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jTextField1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 794, Short.MAX_VALUE)
                    .add(jTextField2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 794, Short.MAX_VALUE)
                    .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, viewTableMandat, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, viewTableDepenses, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(btnImprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(7, 7, 7)
                .add(jTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnImprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTableDepenses, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(viewTableMandat, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents

    private void listeExcercicesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_listeExcercicesActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_listeExcercicesActionPerformed

    private void jTextField2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField2ActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jTextField2ActionPerformed

    private void jTextField1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField1ActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jTextField1ActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnImprimer;
    private javax.swing.JButton btnSupprimer;
    private javax.swing.JButton buttonDelLbud;
    private javax.swing.JButton buttonFind;
    private javax.swing.JButton buttonGetLbud;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextField jTextField2;
    protected javax.swing.JComboBox listeExcercices;
    private javax.swing.JTextField tfFiltreAgent;
    private javax.swing.JTextField tfFiltreBordereau;
    private javax.swing.JTextField tfFiltreCompte;
    private javax.swing.JTextField tfFiltreEngagement;
    private javax.swing.JTextField tfFiltreMandat;
    private javax.swing.JTextField tfLigneBudgetaire;
    private javax.swing.JPanel viewTableDepenses;
    private javax.swing.JPanel viewTableMandat;
    // End of variables declaration//GEN-END:variables

    
	public void setListeExercices(NSArray exercices) {

        listeExcercices.removeAllItems();
        for (int i=0;i<exercices.count();i++)
        	listeExcercices.addItem(exercices.objectAtIndex(i));
    }
    public void setSelectedExercice(Object exercice) {
    	listeExcercices.setSelectedItem(exercice);
    }          

    
    private void initGui() {
    	                
        buttonGetLbud.setIcon(KakiIcones.ICON_SELECT_16);
        buttonDelLbud.setIcon(KakiIcones.ICON_DELETE);
     
        buttonFind.setIcon(KakiIcones.ICON_LOUPE_22);

        btnImprimer.setIcon(KakiIcones.ICON_PRINTER_16);

        btnSupprimer.setIcon(KakiIcones.ICON_DELETE);
        btnSupprimer.setToolTipText("Suppression du reversement");
        
		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();
		
		ZEOTableModelColumn col = new ZEOTableModelColumn(eodDepense, EOPafReversementsManuels.REVERSEMENT_KEY+"."+EODepenseBudget.DEPENSE_PAPIER_KEY+"."+EODepensePapier.DPP_NUMERO_FACTURE_KEY ,"No Dépense Rev", 125);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepense, EOPafReversementsManuels.DEPENSE_INITIALE_KEY+"."+EODepenseBudget.DEPENSE_PAPIER_KEY+"."+EODepensePapier.DPP_NUMERO_FACTURE_KEY ,"No Dépense Init.", 125);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepense, EOPafReversementsManuels.DEPENSE_INITIALE_KEY+"."+EODepenseBudget.DEPENSE_PAPIER_KEY+"."+EODepensePapier.DPP_DATE_SAISIE_KEY ,"Date Rev", 75);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay((DateFormat)new SimpleDateFormat("dd/MM/yyyy"));
		col.setColumnClass(Date.class);		
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepense, EOPafReversementsManuels.PRM_MONTANT_KEY, "Montant", 75);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepense, EOPafReversementsManuels.REVERSEMENT_KEY+"."+EODepenseBudget.ENGAGE_KEY+"."+EOEngage.ORGAN_KEY+"."+EOOrgan.ORG_UB_KEY, "UB", 50);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepense, EOPafReversementsManuels.REVERSEMENT_KEY+"."+EODepenseBudget.ENGAGE_KEY+"."+EOEngage.ORGAN_KEY+"."+EOOrgan.ORG_CR_KEY, "CR", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepense, EOPafReversementsManuels.REVERSEMENT_KEY+"."+EODepenseBudget.ENGAGE_KEY+"."+EOEngage.ORGAN_KEY+"."+EOOrgan.ORG_SOUSCR_KEY, "SOUS CR", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepense, EOPafReversementsManuels.REVERSEMENT_KEY+"."+EODepenseBudget.DEPENSE_CTRL_PLANCOS_KEY+"."+EODepenseCtrlPlanco.PCO_NUM_KEY, "Compte", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepense, EOPafReversementsManuels.REVERSEMENT_KEY+"."+EODepenseBudget.DEPENSE_CTRL_ANALYTIQUES_KEY+"."+EODepenseCtrlAnalytique.CODE_ANALYTIQUE_KEY+"."+EOCodeAnalytique.CAN_CODE_KEY, "Analytique", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepense, EOPafReversementsManuels.REVERSEMENT_KEY+"."+EODepenseBudget.DEPENSE_CTRL_CONVENTIONS_KEY+"."+EODepenseCtrlConvention.CONVENTION_KEY+"."+EOConvention.CON_INDEX_KEY, "Conv", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepense, EOPafReversementsManuels.REVERSEMENT_KEY+"."+EODepenseBudget.UTILISATEUR_KEY+"."+EOUtilisateur.INDIVIDU_KEY+"."+EOIndividu.NOM_USUEL_KEY, "Agent", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
                
		myTableModelDepense = new ZEOTableModel(eodDepense, myCols);
		myTableSorterDepense = new TableSorter(myTableModelDepense);

		myEOTableDepense= new ZEOTable(myTableSorterDepense);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterDepense.setTableHeader(myEOTableDepense.getTableHeader());		

		myEOTableDepense.setBackground(KakiConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableDepense.setSelectionBackground(KakiConstantes.COLOR_SELECTED_ROW);
		myEOTableDepense.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableDepenses.setLayout(new BorderLayout());
		viewTableDepenses.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableDepenses.removeAll();
		viewTableDepenses.add(new JScrollPane(myEOTableDepense), BorderLayout.CENTER);
		
		myCols = new Vector<ZEOTableModelColumn>();
		
		col = new ZEOTableModelColumn(eodMandat, EOMandat.MAN_NUMERO_KEY ,"Mandat", 75);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodMandat, EOMandat.PCO_NUM_KEY ,"Compte", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodMandat, EOMandat.BOR_NUM_KEY ,"Bord.", 75);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodMandat, EOMandat.BOR_DATE_VISA_KEY ,"Date Visa", 80);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay((DateFormat)new SimpleDateFormat("dd/MM/yyyy"));
		col.setColumnClass(Date.class);		
		myCols.add(col);

		col = new ZEOTableModelColumn(eodMandat, EOMandat.MAN_TTC_KEY ,"TTC", 75);
		col.setAlignment(SwingConstants.RIGHT);
		col.setFormatDisplay((DateFormat)new SimpleDateFormat("dd/MM/yyyy"));
		col.setColumnClass(Date.class);		
		myCols.add(col);

		col = new ZEOTableModelColumn(eodMandat, EOMandat.MAN_ETAT_KEY ,"ETAT", 75);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		myTableModelMandat = new ZEOTableModel(eodMandat, myCols);
		myTableSorterMandat = new TableSorter(myTableModelMandat);

		myEOTableMandat= new ZEOTable(myTableSorterMandat);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterMandat.setTableHeader(myEOTableMandat.getTableHeader());		

		myEOTableMandat.setBackground(KakiConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableMandat.setSelectionBackground(KakiConstantes.COLOR_SELECTED_ROW);
		myEOTableMandat.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableMandat.setLayout(new BorderLayout());
		viewTableMandat.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableMandat.removeAll();
		viewTableMandat.add(new JScrollPane(myEOTableMandat), BorderLayout.CENTER);
		
    }

	public ZEOTable getMyEOTableDepense() {
		return myEOTableDepense;
	}

	public void setMyEOTableDepense(ZEOTable myEOTableDepense) {
		this.myEOTableDepense = myEOTableDepense;
	}

	public ZEOTable getMyEOTableMandat() {
		return myEOTableMandat;
	}

	public void setMyEOTableMandat(ZEOTable myEOTableMandat) {
		this.myEOTableMandat = myEOTableMandat;
	}

	public javax.swing.JButton getBtnImprimer() {
		return btnImprimer;
	}

	public void setBtnImprimer(javax.swing.JButton btnImprimer) {
		this.btnImprimer = btnImprimer;
	}

	public javax.swing.JButton getBtnSupprimer() {
		return btnSupprimer;
	}

	public void setBtnSupprimer(javax.swing.JButton btnSupprimer) {
		this.btnSupprimer = btnSupprimer;
	}

	public javax.swing.JButton getButtonDelLbud() {
		return buttonDelLbud;
	}

	public void setButtonDelLbud(javax.swing.JButton buttonDelLbud) {
		this.buttonDelLbud = buttonDelLbud;
	}

	public javax.swing.JButton getButtonFind() {
		return buttonFind;
	}

	public void setButtonFind(javax.swing.JButton buttonFind) {
		this.buttonFind = buttonFind;
	}

	public javax.swing.JButton getButtonGetLbud() {
		return buttonGetLbud;
	}

	public void setButtonGetLbud(javax.swing.JButton buttonGetLbud) {
		this.buttonGetLbud = buttonGetLbud;
	}

	public javax.swing.JComboBox getListeExcercices() {
		return listeExcercices;
	}

	public void setListeExcercices(javax.swing.JComboBox listeExcercices) {
		this.listeExcercices = listeExcercices;
	}

	public javax.swing.JTextField getTfFiltreAgent() {
		return tfFiltreAgent;
	}

	public void setTfFiltreAgent(javax.swing.JTextField tfFiltreAgent) {
		this.tfFiltreAgent = tfFiltreAgent;
	}

	public javax.swing.JTextField getTfFiltreBordereau() {
		return tfFiltreBordereau;
	}

	public void setTfFiltreBordereau(javax.swing.JTextField tfFiltreBordereau) {
		this.tfFiltreBordereau = tfFiltreBordereau;
	}

	public javax.swing.JTextField getTfFiltreCompte() {
		return tfFiltreCompte;
	}

	public void setTfFiltreCompte(javax.swing.JTextField tfFiltreCompte) {
		this.tfFiltreCompte = tfFiltreCompte;
	}

	public javax.swing.JTextField getTfFiltreEngagement() {
		return tfFiltreEngagement;
	}

	public void setTfFiltreEngagement(javax.swing.JTextField tfFiltreEngagement) {
		this.tfFiltreEngagement = tfFiltreEngagement;
	}

	public javax.swing.JTextField getTfFiltreMandat() {
		return tfFiltreMandat;
	}

	public void setTfFiltreMandat(javax.swing.JTextField tfFiltreMandat) {
		this.tfFiltreMandat = tfFiltreMandat;
	}

	public javax.swing.JTextField getTfLigneBudgetaire() {
		return tfLigneBudgetaire;
	}

	public void setTfLigneBudgetaire(javax.swing.JTextField tfLigneBudgetaire) {
		this.tfLigneBudgetaire = tfLigneBudgetaire;
	}


	public javax.swing.JPanel getViewTableDepenses() {
		return viewTableDepenses;
	}

	public void setViewTableDepenses(javax.swing.JPanel viewTableDepenses) {
		this.viewTableDepenses = viewTableDepenses;
	}

}
